net.minecraftforge.client.event

## Class RenderGameOverlayEvent.Text

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.client.event.RenderGameOverlayEvent
    - - net.minecraftforge.client.event.RenderGameOverlayEvent.Pre
      - - net.minecraftforge.client.event.RenderGameOverlayEvent.Text

- Enclosing class:
    RenderGameOverlayEvent

      public static class RenderGameOverlayEvent.Text
      extends RenderGameOverlayEvent.Pre

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.RenderGameOverlayEvent

      `RenderGameOverlayEvent.ElementType, RenderGameOverlayEvent.Post, RenderGameOverlayEvent.Pre, RenderGameOverlayEvent.Text`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ArrayList<String>` | `left`
    `ArrayList<String>` | `right`

    - ### Fields inherited from class net.minecraftforge.client.event.RenderGameOverlayEvent

      `mouseX, mouseY, partialTicks, resolution, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderGameOverlayEvent.Text(RenderGameOverlayEvent parent, ArrayList<String> left, ArrayList<String> right)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### left

          public final ArrayList<String> left

    - #### right

          public final ArrayList<String> right

  - ### Constructor Detail

    - #### RenderGameOverlayEvent.Text

          public RenderGameOverlayEvent.Text(RenderGameOverlayEvent parent,
                                     ArrayList<String> left,
                                     ArrayList<String> right)